 % Creating the many-body basis on the form [indexSingle1 indexSingle2 ...]
% Use functions permutateV2checkM, descriptionV2 and sbBasis


enPartN=10;         % maximum energy N for sigle particle state
antaletPartiklar=6; % antal partiklar
parity=0;           % 0 is even and 1 odd.
NsumMax=12;         % Maximal sum of N 
M=0;                % projection of moment

C=descriptionV2(NsumMax,parity,enPartN,antaletPartiklar);
length(C);
EnPartikelBas=sbasis(enPartN);

A=[];
for j=1:length(C)
    desc=C{j};
    perm=desc(1,:);
    max=desc(2,:);
    D=permutateV2checkM(perm,max,length(perm),EnPartikelBas,M);
    A=[A; D];
end

mpBasen=A;

