function part=partitionAntal(sum,maxValue,sumMulti)
% Makes partition sums
% EX: partitionAntal(5,4,2)=     0     1     1     0 
%                                1     0     0     1
% (1*0+2*1+3*1+maxValue*0)=sum, 1+1=sumMulti

listLength=maxValue;
startNum=maxValue; 

if listLength==1
    if sumMulti==sum
        part=sum;
        return;
    else
        part=[];
        return;
    end
end

n=((sum-mod(sum,startNum))/startNum); %Doesn't need to check higher 
B=[];
for i=0:n
    temp=partitionAntal(sum-startNum*i,listLength-1,sumMulti-i);
    if isempty(temp)==0
        A=[];
        hightTemp=length(temp(:,1));
        widthTemp=length(temp(1,:));
    
        A(1:hightTemp,widthTemp+1)=i*ones(hightTemp,1);
        A(1:hightTemp,1:widthTemp)=temp;
        
        B=[B; A];
    end
 
end
part=B;

end