% Creating single-particle basis on the form [ N=2n+l l j m] 

function [ B ] = sbasis(Nmax) % Nmax, maximum allowed N, energy. 
B={};
  q=1; % q index 
for N=0:1:Nmax
    for l=mod(N,2):2:N 
        for m=-(l+.5):1:(l+.5)
            B{q}=[ N l l+.5 m];
            q=q+1;
        end
         for m=-(l-.5):1:(l-.5)
            B{q}=[ N l l-.5 m];
            q=q+1;
        end
    end
end
end

