function svar=validEnergyConfig(NsumMax,parity,enPartN,antaletPartiklar)
% Produces alla valid energy configurations i.e. creates partition sum for
% Nsum<NsumMax with regard to parity
% NsumMax maximal sum of energy 
% parity , 1(odd) or 0(even)
% MaxEnpartikelenergi single-particle energy
% uses partitionAntal and degN

C=[];
for Nsum=parity:2:NsumMax %even or odd energy
   
    A=partitionAntal(Nsum+antaletPartiklar,enPartN+1,antaletPartiklar);
    B=[];
    k=0;

    for i=1:length(A(:,1)) % walks through all rows
        occup=A(i,:); % columns 
           a=0;
           for N=0:(length(occup)-1) % energy
             if degN(N)<occup(N+1) 
                   a=1;
                   break; 
             end
           end
           if a==0 % save if a never been set to 1
                 k=k+1;
                B(k,1:length(A(1,:)))=occup; 
           end
    end
    if isempty(B)==0 % check whether or not it is empty
        C=[C ; B]; 
    end
end
svar=C;
end