function svar=descriptionV2(NsumMax,parity,enPartN,antaletPartiklar)
% Makes a description of how different energy permutations should be
% genereted
% a(1,?)=[1 3 4 5]=perm, a(2,?)=max[2 6 7 8] i.e. one particle in
% the interval 1:2, and three particles in the interval 3:8
% Uses valid validEnergyConfig and Nlist

A=validEnergyConfig(NsumMax,parity,enPartN,antaletPartiklar);

b=Nlist(enPartN); 
C={};
for i=1:length(A(:,1))
    v=A(i,:);
    a=zeros(0,antaletPartiklar);
    k=0;
    for N=0:(length(v)-1) 
        if v(N+1)~=0 
            for p=0:(v(N+1)-1)
                k=k+1;
                a(1,k)=b(N+1)+p;
                a(2,k)=b(N+2)-v(N+1)+p;
            end
        end
    end
    C(i)={a}; 
end
svar=C;
end
